import { Request } from "express";
import bcrypt from "bcrypt";
import { User } from "../models/user";

export async function SignUp(req: Request, res: any) {
  if (!req.body.accountName || !req.body.username || !req.body.password) {
    res.status(400).json({ error: "invalid body" });
    return;
  }

  const decodedPassword = Buffer.from(req.body.password, "base64").toString(
    "utf-8"
  );

  const hashedPassword = await bcrypt.hash(decodedPassword, 10);

  const user = new User({
    accountName: req.body.accountName,
    username: req.body.username,
    password: hashedPassword,
  });

  user
    .save()
    .then(() => {
      console.log("test");
      res.status(200).json({ status: "ok" });
    })
    .catch((err) => {
      console.log(err);
      res.status(500).json({ status: "err" });
    });
}
